Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class CompareEntryOptionsImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.CompareEntryOptionsImpl

All Implemented Interfaces:
  CompareEntryOptions

    public class CompareEntryOptionsImpl

extends java.lang.Object
implements CompareEntryOptions

This class is used to set the options for comparing entry

Version:
  $Revision: 1.3 $
Author:

Constructor Summary
`protected` | `CompareEntryOptionsImpl()`

Method Summary
`java.lang.String` | `getCompareFilter()` retrieves the filter set for the compare operation
`java.lang.String` | `getEntryName()` retrieves the entry name
`int` | `getTimeLimit()` retrieves the time limit set for the compare operation
`void` | `reset()` Method to reset the values
`void` | `setCompareFilter(java.lang.String filter)` sets the filter for the compare operation
`void` | `setEntryName(java.lang.String entryName)` sets the value for the entry name (that is to be compared)
`void` | `setTimeLimit(int timeLimitMilliSec)` sets the time limit for the compare operation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompareEntryOptionsImpl

    protected CompareEntryOptionsImpl()

Method Detail

### setEntryName

    public void setEntryName(java.lang.String entryName)

  sets the value for the entry name (that is to be compared)

  Specified by:
    `setEntryName` in interface `CompareEntryOptions`
  Parameters:
    `entryName` - the entry name

### getEntryName

    public java.lang.String getEntryName()

  retrieves the entry name

  Specified by:
    `getEntryName` in interface `CompareEntryOptions`
  Returns:
    the entry name set for the compare operation

### setCompareFilter

    public void setCompareFilter(java.lang.String filter)

  sets the filter for the compare operation

  Specified by:
    `setCompareFilter` in interface `CompareEntryOptions`
  Parameters:
    `filter` - the filter to be used for the compare operation

### getCompareFilter

    public java.lang.String getCompareFilter()

  retrieves the filter set for the compare operation

  Specified by:
    `getCompareFilter` in interface `CompareEntryOptions`
  Returns:
    the filter

### setTimeLimit

    public void setTimeLimit(int timeLimitMilliSec)

  sets the time limit for the compare operation

  Specified by:
    `setTimeLimit` in interface `CompareEntryOptions`
  Parameters:
    `timeLimitMilliSec` - the timelimit in milliseconds upto which the operation will search for the named entry.

### getTimeLimit

    public int getTimeLimit()

  retrieves the time limit set for the compare operation

  Specified by:
    `getTimeLimit` in interface `CompareEntryOptions`
  Returns:
    the time limit in milliseconds

### reset

    public void reset()

  Method to reset the values

  Specified by:
    `reset` in interface `CompareEntryOptions`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD